Kirjoittaja Aihe: RATKAISTU + extension pack: libqt4-opengl error tulee virtualbox 4.1 asennus  (Luettu 2207 kertaa)

Laplinux

  • Käyttäjä
  • Viestejä: 148
    • Profiili
10.04 suomi remix asennus läppärissä

https://www.virtualbox.org/wiki/Linux_Downloads

wget -q http://download.virtualbox.org/virtualbox/debian/oracle_vbox.asc -O- | sudo apt-key add -

sudo apt-get update
sudo apt-get install virtualbox-4.1

sudo apt-get install dkms

Tätä sormenjälkeä ei vissiin tarvi viedä mihinkään vai pitääkö
The key fingerprint is
7B0F AB3A 13B9 0743 5925  D9C9 5442 2A4B 98AB 5139
Oracle Corporation (VirtualBox archive signing key) <info@virtualbox.org>


lopussa herjaa et tämä uupuu libqt4-opengl
pakettihallinta ei tunnista kun yrittää etsiä
onko se osa jotain laajempaa pakettia jos on niin mikä käsky esim. terminaaliin
ollut ilmeisesti joskus viel 9.04 mukana

virtual XP SP3 käyttötarkoitus USB 2.0 scanner laite jolle ei viellä ubuntu tukea.

USB tuki olisi tarpeen saada toimimaan myös.
https://www.virtualbox.org/wiki/Downloads

VirtualBox 4.1.8 Oracle VM VirtualBox Extension Pack  All platforms
Support for USB 2.0 devices, VirtualBox RDP and PXE boot for Intel cards. See this chapter from the User Manual for an introduction to this Extension Pack. The Extension Pack binaries are released under the VirtualBox Personal Use and Evaluation License (PUEL).
Please install the extension pack with the same version as your installed version of VirtualBox!


Vai onko tarve asentaa terminaalissa roottina näin. En ole viellä näin asentanut.

https://www.virtualbox.org/wiki/Linux_Downloads

wget http://download.virtualbox.org/virtualbox/4.1.8/virtualbox-4.1_4.1.8-75467

dpkg -i virtualbox-4.1_4.1.8-75467~Ubuntu~lucid_i386.deb


monissa paikoissa asennus ohje on tämä
easier to download the .deb from here http://www.virtualbox.org/wiki/Downloads

then just double click the .deb if you are having issues.

Also add the extensions pack also
« Viimeksi muokattu: 05.03.12 - klo:20.57 kirjoittanut Laplinux »

mrl586

  • Käyttäjä
  • Viestejä: 4638
    • Profiili
Vs: libqt4-opengl error tulee virtualbox 4.1 asennus
« Vastaus #1 : 05.03.12 - klo:20.12 »
lopussa herjaa et tämä uupuu libqt4-opengl
pakettihallinta ei tunnista kun yrittää etsiä
onko se osa jotain laajempaa pakettia jos on niin mikä käsky esim. terminaaliin
ollut ilmeisesti joskus viel 9.04 mukana
Kyllä tuo Lucidiinkin on saatavilla: http://packages.ubuntu.com/search?keywords=libqt4-opengl

Laplinux

  • Käyttäjä
  • Viestejä: 148
    • Profiili
Vs: libqt4-opengl error tulee virtualbox 4.1 asennus
« Vastaus #2 : 05.03.12 - klo:20.21 »
kiitos täytyy tarkistaa ja lisätä rivi   deb http://security.ubuntu.com/ubuntu lucid-security main


http://packages.ubuntu.com/lucid/i386/libqt4-opengl/download

If you are running Ubuntu, it is strongly suggested to use a package manager like aptitude or synaptic to download and install packages, instead of doing so manually via this website.

You should be able to use any of the listed mirrors by adding a line to your /etc/apt/sources.list like this:

deb http://security.ubuntu.com/ubuntu lucid-security main

Laplinux

  • Käyttäjä
  • Viestejä: 148
    • Profiili
Vs: libqt4-opengl error tulee virtualbox 4.1 asennus
« Vastaus #3 : 05.03.12 - klo:20.32 »
nyt on tarjolla versiot

libqt4-opengl open gl module
libqt4-opengl-dev open gl library development files

mikä näiden ero

itse arvelen että tämä olisi oikea
libqt4-opengl open gl module

development eikö se ole kehittäjille yms

Nyt näyttää hyvältä.


asentaja@winlin:~$ sudo apt-get install virtualbox-4.1
[sudo] password for asentaja:
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu      
Luetaan tilatiedot... Valmis        
Seuraavat ylimääräiset paketit on merkitty asennettaviksi:
  libsdl-ttf2.0-0
Seuraavat UUDET paketit asennetaan:
  libsdl-ttf2.0-0 virtualbox-4.1
0 päivitetty, 2 uutta asennusta, 0 poistettavaa ja 47 päivittämätöntä.
Noudettavaa arkistoa 66,4Mt.
Toiminnon jälkeen käytetään 121M t lisää levytilaa.
Haluatko jatkaa [K/e]? k
Nouda:1 http://fi.archive.ubuntu.com/ubuntu/ lucid/universe libsdl-ttf2.0-0 2.0.9-1build1 [16,4kB]
Nouda:2 http://download.virtualbox.org/virtualbox/debian/ lucid/contrib virtualbox-4.1 4.1.8-75467~Ubuntu~lucid [66,4MB]
Noudettiin 66,4Mt ajassa 3min 30s (316kt/s)                                    
Esiräätälöidään paketteja...
Valitaan aikaisemmin valitsematon paketti virtualbox-4.1.
(Luetaan tietokantaa... 150733 tiedostoa ja hakemistoa tällä hetkellä asennettuna.)
Puretaan pakettia virtualbox-4.1 (.../virtualbox-4.1_4.1.8-75467~Ubuntu~lucid_i386.deb)...
Valitaan aikaisemmin valitsematon paketti libsdl-ttf2.0-0.
Puretaan pakettia libsdl-ttf2.0-0 (.../libsdl-ttf2.0-0_2.0.9-1build1_i386.deb)...
Suoritetaan kohteen ureadahead liipaisimia...
ureadahead will be reprofiled on next reboot
Suoritetaan kohteen shared-mime-info liipaisimia...
Suoritetaan kohteen desktop-file-utils liipaisimia...
Suoritetaan kohteen python-gmenu liipaisimia...
Rebuilding /usr/share/applications/desktop.fi_FI.utf8.cache...
Suoritetaan kohteen hicolor-icon-theme liipaisimia...
Suoritetaan kohteen python-support liipaisimia...
Tehdään asetuksia: virtualbox-4.1 (4.1.8-75467~Ubuntu~lucid) ...
Lisätään ryhmä `vboxusers' (GID 123) ...
Valmis.
 * Stopping VirtualBox kernel modules                                    [ OK ]
 * Uninstalling old VirtualBox DKMS kernel modules                       [ OK ]
 * Trying to register the VirtualBox kernel modules using DKMS           [ OK ]
 * Starting VirtualBox kernel modules                                    [ OK ]

Tehdään asetuksia: libsdl-ttf2.0-0 (2.0.9-1build1) ...

Suoritetaan kohteen python-central liipaisimia...
Suoritetaan kohteen libc-bin liipaisimia...
ldconfig deferred processing now taking place

nyt asennetaan laajennuspaketti  muista et aina sama versio muuten tulee kuraa.
VirtualBox 4.1.8 Oracle VM VirtualBox Extension Pack

https://www.virtualbox.org/wiki/Downloads
tallenna se koneelle mistä löydät sen helposti mayby lataukset kansio
avaa virtualbox
sovellukset - järjestelmätyökalut - oracle vm virtualmacine
virtualbox asetukset
kohta extensions
siitä löytyy semmonen pieni salmiakki kuvio siitä avautuu resurssienhallinta kuin windows ja valitset sen lataamasi laajennuspäkin.
salasana kysely
hyväksytv lait
 ok
thäts it


tais olla minikovo tila vaatimus 8gt mutta ei taida olla ropleema enää nykyaikana.


HOX usb käyttäjäryhmä vaaditaan

päätteessä

sudo usermod -G vboxusers -a tähänkäyttäjänimesi

muuten herjailee bootin jälkeen pitäs skulata



« Viimeksi muokattu: 15.03.12 - klo:15.36 kirjoittanut Laplinux »